| The Gaudi Framework v29r1 (5cd95fa2)

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files

- Namespace List
- Namespace Members

Enumerations | Functions
MSG Namespace Reference

Print levels enumeration. More...

## Enumerations
enum | Level { NIL = 0, VERBOSE, DEBUG, INFO, WARNING, ERROR, FATAL, ALWAYS, NUM_LEVELS }
enum | Color { BLACK = 0, RED, GREEN, YELLOW, BLUE, PURPLE, CYAN, WHITE, NUM_COLORS }

## Functions
MsgStream & | dec (MsgStream &log)
MsgStream & | hex (MsgStream &log)

## Detailed Description

Print levels enumeration.

## Enumeration Type Documentation

enum MSG::Color

Enumerator
BLACK |
RED |
GREEN |
YELLOW |
BLUE |
PURPLE |
CYAN |
WHITE |
NUM_COLORS |

Definition at line 17 of file IMessageSvc.h.

17 { BLACK = 0, RED, GREEN, YELLOW, BLUE, PURPLE, CYAN, WHITE, NUM_COLORS };
MSG::CYAN
Definition: IMessageSvc.h:17
MSG::GREEN
Definition: IMessageSvc.h:17
MSG::WHITE
Definition: IMessageSvc.h:17
MSG::RED
Definition: IMessageSvc.h:17
MSG::BLUE
Definition: IMessageSvc.h:17
MSG::NUM_COLORS
Definition: IMessageSvc.h:17
MSG::BLACK
Definition: IMessageSvc.h:17
MSG::PURPLE
Definition: IMessageSvc.h:17
MSG::YELLOW
Definition: IMessageSvc.h:17

enum MSG::Level

Enumerator
NIL |
VERBOSE |
DEBUG |
INFO |
WARNING |
ERROR |
FATAL |
ALWAYS |
NUM_LEVELS |

Definition at line 16 of file IMessageSvc.h.

16 { NIL = 0, VERBOSE, DEBUG, INFO, WARNING, ERROR, FATAL, ALWAYS, NUM_LEVELS };
MSG::DEBUG
Definition: IMessageSvc.h:16
MSG::VERBOSE
Definition: IMessageSvc.h:16
MSG::FATAL
Definition: IMessageSvc.h:16
MSG::NIL
Definition: IMessageSvc.h:16
MSG::NUM_LEVELS
Definition: IMessageSvc.h:16
MSG::ERROR
Definition: IMessageSvc.h:16
MSG::WARNING
Definition: IMessageSvc.h:16
MSG::INFO
Definition: IMessageSvc.h:16
MSG::ALWAYS
Definition: IMessageSvc.h:16

## Function Documentation

MsgStream& MSG::dec | ( | MsgStream & | log | ) |
| inline

Definition at line 299 of file MsgStream.h.

300 {
301 log << std::dec;
302 return log;
303 }
std::dec
T dec(T...args)
Gaudi.Configuration.log
log
Definition: Configuration.py:13

MsgStream& MSG::hex | ( | MsgStream & | log | ) |
| inline

Definition at line 304 of file MsgStream.h.

305 {
306 log << std::hex;
307 return log;
308 }
std::hex
T hex(T...args)
Gaudi.Configuration.log
log
Definition: Configuration.py:13